Description

Hi,

I'have a physical host running RedHat, which facts seems OK.

However the field "Host operating System" in Host description from the WebUI is blank.

On the contrary, It works fine with Debian and Ubuntu hosts.

What facts does foreman use in order to define this information ?

Thanks.

History

#1 - 09/04/2011 04:48 AM - Ohad Levy

- Tracker changed from Bug to Support

#2 - 09/04/2011 04:49 AM - Ohad Levy

How are you uploading your facts to foreman? are you using storeconfigs? are you using it as an ENC?

#3 - 09/05/2011 09:38 AM - Xavier Krantz

Hi Ohad,

We are using the storeconfig database, shared between Puppet and Foreman.

We also use the External nodes feature to upload reports from Puppetmaster to Foreman.

I'm really sorry to not giving you so many details...

If you think I should read some more documentation, I will be glad to do so.

Thanks a lot.

Sam

Notes :

foreman 0.3 tarball files.

we use Foreman through apache passenger

#4 - 09/05/2011 01:27 PM - Ohad Levy

are you running foreman and puppet on the same machine?

While it has been fixed in the upcoming 0.4, if its not on the same host (and 0.3) then you would need to run the rake task

puppet:migrate:populate_hosts.

if you are using 0.4, then under settings --> foreman settings there is the option to enable storeconfig fetching.

#5 - 09/06/2011 03:38 AM - Xavier Krantz

Yes we are running Foreman (0.3) and Puppet (2.6) on the same Host... because we thought have read that, installing them on 2 differents hosts

wasn't operationnal yet.

Is there a working documentation about that ?
Nevertheless, thank you for the answer. We will give a look at foreman 0.4 when the release will be available.

#6 - 01/10/2012 03:55 AM - Ohad Levy

- Status changed from New to Resolved
